summaryrefslogtreecommitdiffstats
path: root/system/clamav/clamav.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/clamav/clamav.SlackBuild')
-rw-r--r--system/clamav/clamav.SlackBuild163
1 files changed, 163 insertions, 0 deletions
diff --git a/system/clamav/clamav.SlackBuild b/system/clamav/clamav.SlackBuild
new file mode 100644
index 0000000000..828ba1a78b
--- /dev/null
+++ b/system/clamav/clamav.SlackBuild
@@ -0,0 +1,163 @@
+#!/bin/sh
+# Copyright (c) 2006,2007 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+# Modified to SBo format with the help of Yalla-One
+# Version bump and various other changes by Robby Workman <rworkman@slackbuilds.org>
+# No additional license terms added
+
+PRGNAM=clamav
+VERSION=0.91.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG="$TMP/package-$PRGNAM"
+OUTPUT=${OUTPUT:-/tmp}
+
+# Two letter country code
+# See http://www.iana.org/cctld/cctld-whois.htm for options
+COUNTRY=${COUNTRY:-us}
+
+# Read "README.slackware" for compatibility with amavisd-new
+CLAMUSR=${CLAMUSR:-clamav}
+CLAMGRP=${CLAMGRP:-clamav}
+CLAMUID=${CLAMUID:-210}
+CLAMGID=${CLAMGID:-210}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+# Check for ClamAV user and group availability
+DO_EXIT=0
+if ! grep ^${CLAMGRP}: /etc/group 2>&1 > /dev/null; then
+ cat << EOF
+
+ You must have a ${CLAMGRP} group to run this script.
+ # groupadd -g ${CLAMGID} ${CLAMGRP}
+
+EOF
+ DO_EXIT=1
+elif ! grep ^${CLAMUSR}: /etc/passwd 2>&1 > /dev/null; then
+ cat << EOF
+
+ Must have a ${CLAMUSR} user to run this script.
+ # useradd -u ${CLAMUID} -d /dev/null -s /bin/false -g ${CLAMGRP} ${CLAMUSR}
+
+EOF
+ DO_EXIT=1
+fi
+[ $DO_EXIT -eq 1 ] && exit
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --with-user=${CLAMUSR} \
+ --with-group=${CLAMGRP} \
+ --with-dbdir=/usr/share/clamav \
+ --with-libcurl \
+ --with-tcpwrappers \
+ --enable-milter \
+ --enable-id-check \
+ --disable-static
+
+make || exit 1
+
+# Patch the configuration files
+cd etc
+patch < $CWD/clamd.conf.patch
+patch < $CWD/freshclam.conf.patch
+cd -
+
+make install DESTDIR=$PKG || exit 1
+
+# Prepare the config files:
+cd $PKG/etc
+mv clamd.conf clamd.conf.new
+mv freshclam.conf freshclam.conf.new
+cd -
+
+# Specify the desired mirror in the update config file
+# http://www.iana.org/cctld/cctld-whois.htm
+sed -i "s/COUNTRY/$COUNTRY/g" $PKG/etc/freshclam.conf.new
+
+# Where to store the pid file:
+mkdir -p $PKG/var/run/clamav
+
+# Our rc script:
+mkdir -p $PKG/etc/rc.d/
+cp $CWD/rc.clamav $PKG/etc/rc.d/rc.clamav.new
+chown root:root $PKG/etc/rc.d/rc.clamav.new
+chmod 754 $PKG/etc/rc.d/rc.clamav.new
+
+cp $CWD/README README.slackware
+cp -a clamav-milter/INSTALL INSTALL.milter
+DOCS="AUTHORS BUGS COPYING ChangeLog FAQ INSTALL NEWS README UPGRADE \
+ docs/*.pdf docs/html examples INSTALL.milter README.slackware"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Ownership, rights:
+chown -R root:root $PKG
+chmod -R o-w $PKG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
+
+# Substitute in the actual user/group parameters used
+sed -i s/_SUB_CLAMUSR/$CLAMUSR/ $PKG/install/doinst.sh
+sed -i s/_SUB_CLAMGRP/$CLAMGRP/ $PKG/install/doinst.sh
+sed -i s/_SUB_CLAMUID/$CLAMUID/ $PKG/install/doinst.sh
+sed -i s/_SUB_CLAMGID/$CLAMGID/ $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz